package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EstacionImpresora;
import com.rjconsultores.ventaboletos.enums.TipoImpressora;

public class RenderEstacionImpresora implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EstacionImpresora estacionImpresora = (EstacionImpresora) o;

		if (!estacionImpresora.getActivo()) {
			return;
		}

		Listcell lc = new Listcell(estacionImpresora.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		TipoImpressora tipo = TipoImpressora.getTipoImpressora(estacionImpresora.getTipoImpressora());
		lc = new Listcell(tipo == null ? "" : tipo.getNome());
		lc.setParent(lstm);

		lc = new Listcell(estacionImpresora.getNombImpresora());
		lc.setParent(lstm);

		lc = new Listcell(estacionImpresora.getNombArchivoLayout());
		lc.setParent(lstm);

		lc = new Listcell(estacionImpresora.getNombArchivoLayoutIternacional());
		lc.setParent(lstm);

		lstm.setAttribute("data", estacionImpresora);
	}

}
